Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class MStoreInfo

    java.lang.Object
      com.tibco.tibjms.admin.StoreInfo
          com.tibco.tibjms.admin.MStoreInfo

    public class MStoreInfo

extends StoreInfo

Class representing information about a server's mstore-based store.

Method Summary
`static MStoreInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
`long` | `getDiscardScanBytes()` Get the number of bytes examined at each discard scan interval.
`long` | `getDiscardScanInterval()` Get the interval for discard scan.
`java.lang.String` | `getFileName()` Get the file name.
`long` | `getInUseSpace()` Get the amount of space in the store file that is in use.
`long` | `getNotInUseSpace()` Get the amount of space in the store file that is not in use.
`long` | `getSize()` Get the total size of the store file.
`long` | `getWriteRate()` Get the number of bytes written per second.
`boolean` | `isFirstScanFinished()` Determine if the first scan is finished.
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.tibjms.admin.StoreInfo
`getAverageWriteTime, getFileSize, getFreeSpace, getMsgBytes, getMsgCount, getSwappedBytes, getSwappedCount, getUsedSpace, getWriteUsage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNotInUseSpace

    public long getNotInUseSpace()

  Get the amount of space in the store file that is not in use.

  Returns:
    the number of bytes that are free

### getInUseSpace

    public long getInUseSpace()

  Get the amount of space in the store file that is in use.

  Returns:
    the number of bytes that are in use

### getSize

    public long getSize()

  Get the total size of the store file.

  Returns:
    the size in bytes

### getFileName

    public java.lang.String getFileName()

  Get the file name.

  Returns:
    file name

### getDiscardScanInterval

    public long getDiscardScanInterval()

  Get the interval for discard scan.

  Returns:
    period in milliseconds.

### getDiscardScanBytes

    public long getDiscardScanBytes()

  Get the number of bytes examined at each discard scan interval.

  Returns:
    the amount in bytes

### getWriteRate

    public long getWriteRate()

  Get the number of bytes written per second.

  Returns:
    the byte rate.
  Since:
    EMS 6.1

### isFirstScanFinished

    public boolean isFirstScanFinished()

  Determine if the first scan is finished.

  Returns:
    true or false

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### from

    public static MStoreInfo from(javax.management.openmbean.CompositeData cd)
                           throws java.lang.Exception

  For Internal use only, may be removed or deprecated in future.

  Returns:
    a MStoreInfo object from CompositeData
  Throws:
    `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved